develooper Front page | perl.perl5.porters | Postings from September 2012

Re: Changing the Perl error message when a module is not found

Thread Previous | Thread Next
From:
Kent Fredric
Date:
September 17, 2012 05:27
Subject:
Re: Changing the Perl error message when a module is not found
Message ID:
CAATnKFA9f9irg8=kgndR5Gdy7YNGSL05VhSPN-RFhzvSuNqPew@mail.gmail.com
On 17 September 2012 22:39, Michael Stapelberg <p5p@zekjur.net> wrote:
>
> 1. We could make this error message only appear for modern code which
>    includes "use v5.18" (or whenever this might be included).


^ This seems like just good sense really. ( To me at least ). After
the substantial fallout we saw from carp/die adding a single character
q[.] to output, I'd hate to see the sort of fallout one would expect
with verbage changes if this went ahead.

I'd at least advocate a single major release came out with the ability
to choose between the old and new verbage, before releasing a major
release with the new verbage as the default option.


-- 
Kent

perl -e  "print substr( \"edrgmaM  SPA NOcomil.ic\\@tfrken\", \$_ * 3,
3 ) for ( 9,8,0,7,1,6,5,4,3,2 );"

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About